"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SYMBOL = Symbol('LITERAL');
class Literal {
    constructor(value) {
        this.tag = exports.SYMBOL;
        this.value = String(value);
    }
    mount(parent, context) {
        this.parent = parent;
        this.context = context;
        this.el = context.factory.createTextNode(this.value);
        return this;
    }
    reconcile(newLiteral) {
        if (this.value === newLiteral.value) {
            return;
        }
        this.value = newLiteral.value;
        this.el.nodeValue = this.value;
        return this;
    }
    isNull() {
        return false;
    }
    getElement() {
        return this.el;
    }
    unmount() {
        return this;
    }
    toString() {
        return this.value;
    }
}
exports.Literal = Literal;
//# sourceMappingURL=Literal.js.map